SketchyPhysics-Installation in SketchUp Make 2014?


#1

SketchyPhysics

I’m running the free version of SU14 on Win7 Ultimate 64 bit.
Would like to try SketchyPhysics but it doesn’t seem to be listed in the online extensions library.
Is it still available and how should it be installed?

Advice sought from kindly souls.


#2

Hi MbFisher,

SketchyPhysics 3.4.1 (September 02, 2014)
http://sketchucation.com/forums/viewtopic.php?f=61&t=58936

To download; you must first register (free) and log on to SketchUcation.

-Geo


#4

You can have a look at MSPhysics (same plugin author) too.


#5

I found the plugin online


#6

I hope it wasn’t too difficult…

Just to make clear: you can install SketchyPhysics only for the 32bit SketchUp in the current version.


#7

Hi I’m new to this program but I have found it to be quite useful, however I’m having trouble with Sketchyphysics. I have already downloaded it and had it working at one point, but since I closed sketchup and restarted it it doesn’t load back up. Don’t know if this helps anyone but here is the error message,

Error Loading File C:/Users/Administrator 1/AppData/Roaming/SketchUp/SketchUp 2015/SketchUp/Plugins/SketchyPhysics3/main.rb
Error: #<LoadError: 126: The specified module could not be found. - C:/Users/Administrator 1/AppData/Roaming/SketchUp/SketchUp 2015/SketchUp/Plugins/SketchyPhysics3/dl.so>
C:/Program Files (x86)/SketchUp/SketchUp 2015/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in require' C:/Program Files (x86)/SketchUp/SketchUp 2015/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:inrequire’
C:/Program Files (x86)/SketchUp/SketchUp 2015/Tools/RubyStdLib/dl.rb:1:in <top (required)>' C:/Program Files (x86)/SketchUp/SketchUp 2015/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:inrequire’
C:/Program Files (x86)/SketchUp/SketchUp 2015/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in require' C:/Program Files (x86)/SketchUp/SketchUp 2015/Tools/RubyStdLib/Win32API.rb:5:in<top (required)>'
C:/Program Files (x86)/SketchUp/SketchUp 2015/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in require' C:/Program Files (x86)/SketchUp/SketchUp 2015/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:inrequire’
C:/Users/Administrator 1/AppData/Roaming/SketchUp/SketchUp 2015/SketchUp/Plugins/SketchyPhysics3/input.rb:14:in <top (required)>' C:/Program Files (x86)/SketchUp/SketchUp 2015/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:inrequire’
C:/Program Files (x86)/SketchUp/SketchUp 2015/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in require' C:/Users/Administrator 1/AppData/Roaming/SketchUp/SketchUp 2015/SketchUp/Plugins/SketchyPhysics3/main.rb:27:in<top (required)>‘
C:/Program Files (x86)/SketchUp/SketchUp 2015/Tools/extensions.rb:197:in require' C:/Program Files (x86)/SketchUp/SketchUp 2015/Tools/extensions.rb:197:inload’
C:/Users/Administrator 1/AppData/Roaming/SketchUp/SketchUp 2015/SketchUp/Plugins/SketchyPhysics.rb:433:in register_extension' C:/Users/Administrator 1/AppData/Roaming/SketchUp/SketchUp 2015/SketchUp/Plugins/SketchyPhysics.rb:433:inmodule:MSketchyPhysics3
C:/Users/Administrator 1/AppData/Roaming/SketchUp/SketchUp 2015/SketchUp/Plugins/SketchyPhysics.rb:415:in `<top (required)>’


#8

It looks like SketchuyPhysics was installed when logged in as “Administrator 1”. Are you still logged in as that User? If not, you probably don’t have permission to read from that user’s AppData folders.


#9

I’m having the same issue when I install SketchyPhysics. What can I do resolve this error? Any help would be much appreciated! Thanks!

Error Loading File /Users/hlm193/Library/Application Support/SketchUp 2015/SketchUp/Plugins/SketchyPhysics3/main.rb
Error: #<Fiddle::DLError: can’t load /Users/hlm193/Library/Application Support/SketchUp 2015/SketchUp/Plugins/SketchyPhysics3/lib/libNewtonServer3.dylib>
/Applications/SketchUp 2015/SketchUp.app/Contents/Frameworks/Ruby.framework/Versions/2.0/lib/ruby/2.0.0/fiddle/import.rb:85:in rescue in block in dlload' /Applications/SketchUp 2015/SketchUp.app/Contents/Frameworks/Ruby.framework/Versions/2.0/lib/ruby/2.0.0/fiddle/import.rb:82:inblock in dlload’
/Applications/SketchUp 2015/SketchUp.app/Contents/Frameworks/Ruby.framework/Versions/2.0/lib/ruby/2.0.0/fiddle/import.rb:73:in collect' /Applications/SketchUp 2015/SketchUp.app/Contents/Frameworks/Ruby.framework/Versions/2.0/lib/ruby/2.0.0/fiddle/import.rb:73:indlload’
/Users/hlm193/Library/Application Support/SketchUp 2015/SketchUp/Plugins/SketchyPhysics3/newton.rb:105:in <module:NewtonServer>' /Users/hlm193/Library/Application Support/SketchUp 2015/SketchUp/Plugins/SketchyPhysics3/newton.rb:94:in<top (required)>’
/Applications/SketchUp 2015/SketchUp.app/Contents/Frameworks/Ruby.framework/Versions/2.0/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:45:in require' /Applications/SketchUp 2015/SketchUp.app/Contents/Frameworks/Ruby.framework/Versions/2.0/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:45:inrequire’
/Users/hlm193/Library/Application Support/SketchUp 2015/SketchUp/Plugins/SketchyPhysics3/main.rb:25:in <top (required)>' /Applications/SketchUp 2015/SketchUp.app/Contents/Resources/Content/Tools/extensions.rb:197:inrequire’
/Applications/SketchUp 2015/SketchUp.app/Contents/Resources/Content/Tools/extensions.rb:197:in load' /Users/hlm193/Library/Application Support/SketchUp 2015/SketchUp/Plugins/SketchyPhysics.rb:433:inregister_extension’
/Users/hlm193/Library/Application Support/SketchUp 2015/SketchUp/Plugins/SketchyPhysics.rb:433:in <module:MSketchyPhysics3>' /Users/hlm193/Library/Application Support/SketchUp 2015/SketchUp/Plugins/SketchyPhysics.rb:415:in<top (required)>’


#10

Which version of SketchUp do you have, 32 or 64 bit?


#11

I have the mac version which seems to 64 bit. Thanks!


#12

That error traceback is saying that SketchyPhysics failed to load a compiled library (dll). The offending line in import.rb should have raised an exception saying what library couldn’t load, but the exception message didn’t come through to your traceback so I can’t tell you specifically what library is the offender or what might be the problem with it…hopefully someone familiar with the SketchyPhysics implementation on Mac will chime in (I do not use it so I can only address the Ruby/SU aspects).


#13

@slbaumgartner thanks for looking into this. much appreciated!


#14

Thanks for the answer or the solution? :wink:

You can’t use SP with a 64bit version of SketchUp, as explained 3 posts before your question…


#15

Great to know. Just to be clear, does this mean that SketchyPhysics isn’t compatible with the mac version of Sketchup? Thanks!


#16

hi iam using skechup 2017 but it not working


#17

No. It won’t. SketchyPhysics is 32-bit only and SU2017 is 64-bit only. Try MSPhysics instead.